﻿
@using Jumbula.Common.Helper
@using Jumbula.Core.Domain
@using Jumbula.Web.Infrastructure
@using Jumbula.Web.WebLogic.UserService
@model DisplayCartViewModel

@{
    var checkouTitle = "Check out";
    if (Model.PreregistrationMode == CartPreregistrationMode.Initiated)
    {
        checkouTitle = "Your shopping cart contains pre-registration items.";
    }

    if (Model.LotteryMode == CartLotteryMode.Initiated)
    {
        checkouTitle = "Your shopping cart contains lottery items.";
    }
}


<div id="shappingHeader" class="shapping-header-styles">
    <span>@checkouTitle</span>

    @if (!(this.IsUserAuthenticated() && !(this.GetCurrentUserRoleType() == RoleCategoryType.Parent)))
    {
        <a href="@Model.WebSiteUrl" class="btn btn-lg btn-primary pull-right text-transform-none text-no-letter-spaciing" style="margin-top:8px;">@Model.WebSiteText</a>
    }
    <div class="clearfix"></div>
</div>
<div class="clearfix"></div>

<div class="order-item-schedule order-item-schedule-box">

    @{
        foreach (var item in Model.Cart.Order.OrderItems.Where(o => o.ItemStatus != OrderItemStatusCategories.deleted))
        {
            if (item.IsMultiRegister)
            {
                item.ISTS += item.Id;
            }
        }

        var packs = Model.Cart.Order.RegularOrderItems.GroupBy(item => item.ISTS);
        var orderItems = Model.Cart.Order.RegularOrderItems;

        if (Model.PreregistrationMode == CartPreregistrationMode.Initiated)
        {
            packs = Model.Cart.Order.PreregisterItems.GroupBy(item => item.ISTS);
            orderItems = Model.Cart.Order.PreregisterItems;
        }

        if (Model.LotteryMode == CartLotteryMode.Initiated)
        {
            packs = Model.Cart.Order.LotteryItems.GroupBy(item => item.ISTS);
            orderItems = Model.Cart.Order.LotteryItems;
        }
    }

    @foreach (var pack in packs)
    {
        <div class="schedule">
            @if (!pack.Any(c => c.IsProgramFull) && !pack.Any(o => o.ValidationMessages.Any()))
            {
                <div class="season-name schedule-background">
                    <span class="title">
                        @(pack.First().ProgramScheduleId.HasValue ? pack.First().Season.Title : "Donation")

                    </span>
                    <div class="clearfix"></div>
                </div>

            }
            else
            {
                <div class="season-name schedule-background-red">
                    <span class="title">
                        @(pack.First().ProgramScheduleId.HasValue ? pack.First().Season.Title : "Donation")

                    </span>
                    <div class="clearfix"></div>
                </div>
            }
            <div class="schedule-body">
                <div class="schedule-body-inner">
                    <div>
                        <div class="program-player-name actions">
                            <div class="title">
                                @(pack.First().ProgramScheduleId.HasValue ? pack.First().ProgramSchedule.Program.Name : "Donation")  - @((pack.First().Player != null && pack.First().ProgramScheduleId.HasValue) ? pack.First().Player.Contact.FullName : this.GetCurrentUserName()) <span style="color:red"> @((pack.First().ProgramScheduleId.HasValue && pack.First().Season.Status == SeasonStatus.Test) ? " ( Sandbox Payment )" : "")</span>

                            </div>
                            @{
                                string regsiterUrl = string.Empty;
                                string newParticipantUrl = string.Empty;

                                var isOfflineMode = this.GetCurrentUserRoleType() != RoleCategoryType.Parent;

                                if (pack.First().ProgramScheduleId.HasValue)
                                {
                                    if (this.GetCurrentUserRoleType() == RoleCategoryType.Parent)
                                    {
                                        newParticipantUrl = string.Format("/{0}/{1}/Register/?ists=0", pack.First().Season.Domain, pack.First().ProgramSchedule.Program.Domain) + (Model.UserId.HasValue ? "&userid=" + Model.UserId : string.Empty);
                                    }
                                    else
                                    {
                                        newParticipantUrl = string.Format("/{0}/{1}/Register/?ists=0&offlineMode=true", pack.First().Season.Domain, pack.First().ProgramSchedule.Program.Domain) + (Model.UserId.HasValue ? "&userid=" + Model.UserId : string.Empty);
                                    }

                                    regsiterUrl = string.Format("/{0}/{1}/Register/?ists={2}{3}{4}", pack.First().Season.Domain, pack.First().ProgramScheduleId.HasValue ? pack.First().ProgramSchedule.Program.Domain : "", pack.Key, Model.UserId.HasValue ? "&userid=" + Model.UserId : string.Empty, isOfflineMode? "&offlineMode=true" : string.Empty);
                                }
                                else
                                {
                                    regsiterUrl = string.Format("/{0}/Donation/?ists={1}", Model.ClubDomain, pack.Key);
                                    if (this.GetCurrentRequestType() == RequestType.Branded)
                                    {
                                        regsiterUrl = string.Format("/Donation/?ists={0}", pack.Key);
                                    }
                                }
                            }

                            @{
                                var url = Url.Action("RemovePack", "Cart", new { ists = pack.Key, userid = Model.UserId });

                                if (pack.First().IsMultiRegister)
                                {
                                    url = Url.Action("RemoveItem", "Cart", new { id = pack.First().Id, userid = Model.UserId });
                                }
                            }

                            <a class="pull-right btn btn-sm btn-link jbi-remove" href="@url">Delete</a>

                            @if (!(pack.First().Name == "Donation" && pack.First().EntryFeeName == "Donation" && pack.First().ProgramScheduleId.HasValue == false))
                            {
                                if (!pack.First().IsMultiRegister && pack.First().ProgramTypeCategory != ProgramTypeCategory.Subscription && pack.First().ProgramTypeCategory != ProgramTypeCategory.BeforeAfterCare)
                                {
                                    if (pack.First().Mode != OrderItemMode.DropIn)
                                    {
                                        <a class="pull-right btn btn-sm btn-link jbi-pencil" href="@regsiterUrl"> Edit</a>
                                    }
                                }

                                if (!pack.First().IsMultiRegister)
                                {
                                    if (this.GetCurrentUserRoleType() == RoleCategoryType.Parent)
                                    {
                                        <a class="pull-right btn btn-sm btn-success jbi-add-user" href="@newParticipantUrl">@Model.RegisterSameProgramText</a>
                                    }
                                    else
                                    {
                                        <a class="pull-right btn btn-sm btn-success jbi-add-user" href="@newParticipantUrl">Register another member of this family</a>
                                    }
                                }
                            }
                            <div class="clearfix"></div>
                        </div>
                    </div>
                    <div>
                        <div class="tuitions-section">
                            <div class="tuitions-section-inner">
                                @foreach (var item in orderItems.Where(i => i.ISTS == pack.Key))
                                {

                                    if (item.ProgramScheduleId.HasValue)
                                    {
                                        if (item.ProgramTypeCategory == ProgramTypeCategory.Subscription || item.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare)
                                        {
                                            Ioc.SubscriptionBusiness.ManipulateCartOrderItem(item);
                                        }

                                        var itemTutionPrice = Ioc.CartBusiness.CalculateOrderItemTuitionPrice(item, 0);

                                        <div>
                                            <div class="tuition-box">
                                                <span class="tuition-name">
                                                    @if (!Model.HideProgramTime)
                                                    {
                                                        if (item.Mode != OrderItemMode.Noraml)
                                                        {
                                                            if (item.ProgramTypeCategory == ProgramTypeCategory.Camp)
                                                            {
                                                                @item.EntryFeeName @(": " + (CurrencyHelper.FormatCurrencyWithoutPenny(item.EntryFee, Model.Cart.Order.Club.Currency)) + " ")<span class="date label label-info">@(item.ProgramSchedule.StartDate.ToString("dd MMMM yyyy") + " - " + item.ProgramSchedule.EndDate.ToString("dd MMMM yyyy"))</span>
                                                            }
                                                            else if (item.ProgramTypeCategory == ProgramTypeCategory.Class)
                                                            {
                                                                @item.EntryFeeName @(": " + (CurrencyHelper.FormatCurrencyWithoutPenny(item.EntryFee, Model.Cart.Order.Club.Currency)) + "")
                                                            }
                                                            else
                                                            {
                                                                @item.EntryFeeName @(": " + (CurrencyHelper.FormatCurrencyWithoutPenny(item.EntryFee, Model.Cart.Order.Club.Currency)) + "")
                                                            }
                                                        }
                                                        else
                                                        {
                                                            if (item.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare)
                                                            {
                                                                @item.ProgramSchedule.Title @(" " + item.EntryFeeName) <span class="date label label-info">@(item.DesiredStartDate.HasValue ? item.DesiredStartDate.Value.ToString("dd MMMM yyyy") : item.ProgramSchedule.StartDate.ToString("dd MMMM yyyy")) - @(item.End.HasValue ? item.End.Value.ToString("dd MMMM yyyy") : item.ProgramSchedule.EndDate.ToString("dd MMMM yyyy"))</span>

                                                                @*if (item.LotteryStatus == LotteryStatus.Initiated || item.LotteryStatus == LotteryStatus.Condidate || item.LotteryStatus == LotteryStatus.Lose)
                                                                {
                                                                    <span class="date label label-info">Lottery</span>
                                                                }

                                                                if (item.PreRegistrationStatus == PreRegistrationStatus.Initiated)
                                                                {
                                                                    <span class="date label label-info">Pre-reg</span>
                                                                }*@
                                                            }
                                                            else if (item.ProgramTypeCategory == ProgramTypeCategory.Class)
                                                            {
                                                                @item.ProgramSchedule.Title @(" " + item.EntryFeeName) @(": " + (CurrencyHelper.FormatCurrencyWithoutPenny(itemTutionPrice, Model.Cart.Order.Club.Currency)) + "")
                                                                <span class="date label label-info">
                                                                    @(item.Start.HasValue ? item.Start.Value.ToString("dd MMMM yyyy") : item.ProgramSchedule.StartDate.ToString("dd MMMM yyyy")) - @(item.End.HasValue ? item.End.Value.ToString("dd MMMM yyyy") : item.ProgramSchedule.EndDate.ToString("dd MMMM yyyy"))
                                                                </span>


                                                            }
                                                            else if (item.ProgramTypeCategory == ProgramTypeCategory.Camp || item.ProgramTypeCategory == ProgramTypeCategory.SeminarTour)
                                                            {
                                                                
                                                                @item.ProgramSchedule.Title @(" " + item.EntryFeeName) @(": " + (CurrencyHelper.FormatCurrencyWithoutPenny(item.EntryFee, Model.Cart.Order.Club.Currency)) + "")
                                                                <span class="date label label-info">
                                                                   @item.ProgramSchedule.StartDate.ToString("dd MMMM yyyy") - @(item.End.HasValue ? item.End.Value.ToString("dd MMMM yyyy") : item.ProgramSchedule.EndDate.ToString("dd MMMM yyyy"))
                                                                </span>
                                                            }
                                                            else
                                                            {
                                                                @item.EntryFeeName @(": $" + (CurrencyHelper.FormatCurrencyWithoutPenny(item.EntryFee, Model.Cart.Order.Club.Currency)) + "")
                                                            }

                                                        }
                                                    }
                                                    else
                                                    {
                                                        if (item.Mode == OrderItemMode.Noraml)
                                                        {
                                                            if (item.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare)
                                                            {
                                                                @item.ProgramSchedule.Title @(" " + item.EntryFeeName) <span class="date label label-info">@(item.DesiredStartDate.HasValue ? item.DesiredStartDate.Value.ToString("dd MMMM yyyy") : item.ProgramSchedule.StartDate.ToString("dd MMMM yyyy")) - @(item.End.HasValue ? item.End.Value.ToString("dd MMMM yyyy") : item.ProgramSchedule.EndDate.ToString("dd MMMM yyyy"))</span>

                                                                if(item.LotteryStatus == LotteryStatus.Initiated)
                                                                {
                                                                     <span class="date label label-success">Lottery</span>
                                                                }
                                                               
                                                            }
                                                            else if (item.ProgramTypeCategory == ProgramTypeCategory.Class)
                                                            {
                                                                @item.ProgramSchedule.Title @(" " + item.EntryFeeName) @(": $" + (itemTutionPrice.ToString("0.##")) + "")
                                                            }
                                                            else
                                                            {
                                                                @item.ProgramSchedule.Title @(" " + item.EntryFeeName) @(": $" + (item.EntryFee.ToString("0.##")) + "")
                                                            }
                                                        }
                                                        else
                                                        {
                                                            @item.EntryFeeName @(": $" + (itemTutionPrice) + "")
                                                        }

                                                    }

                                                    @if (item.LotteryStatus == LotteryStatus.Initiated || item.LotteryStatus == LotteryStatus.Condidate || item.LotteryStatus == LotteryStatus.Lose)
                                                    {
                                                        <span class="date label label-info">Lottery</span>
                                                    }

                                                    @if (item.PreRegistrationStatus == PreRegistrationStatus.Initiated)
                                                    {
                                                        <span class="date label label-info">Pre-reg</span>
                                                    }

                                                </span>
                                                <div class="clearfix"></div>
                                                @if ((item.ProgramTypeCategory == ProgramTypeCategory.Subscription || item.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare || item.ProgramTypeCategory == ProgramTypeCategory.Camp) && item.Mode == OrderItemMode.DropIn)
                                                {
                                                    if (item.ProgramTypeCategory == ProgramTypeCategory.Camp)
                                                    {
                                                        var sessions = Ioc.OrderItemBusiness.ShowItemSessions(item);
                                                        <div class="margin-left15">
                                                            @foreach (var session in sessions)
                                                            {
                                                                <span></span> <span style="background-color: #FFFFFF;color: #000000;margin: 2px;padding-right: 2px;padding-left: 2px;">@session </span>
                                                                <div class="clearfix"></div>
                                                            }
                                                        </div>
                                                    }
                                                    else
                                                    {
                                                        <div class="margin-left15">
                                                            @foreach (var session in item.OrderSessions.Select(p => p.ProgramSession).ToList().OrderBy(s => s.StartDateTime.Day))
                                                            {
                                                                <span></span> <span style="background-color: #FFFFFF;color: #000000;margin: 2px;padding-right: 2px;padding-left: 2px;">@string.Format("{0} {1}-{2}", session.StartDateTime.ToString("MMM dd"), session.StartDateTime.ToString("h:mm tt", System.Globalization.CultureInfo.InvariantCulture).ToLower().Replace(" ", ""), session.EndDateTime.ToString("h:mm tt", System.Globalization.CultureInfo.InvariantCulture).ToLower().Replace(" ", "")) </span>
                                                                <div class="clearfix"></div>
                                                            }
                                                        </div>
                                                    }

                                                }
                                                <div class="clearfix"></div>
                                                <div class="charge">
                                                    @if (item.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare && item.Mode == OrderItemMode.Noraml)
                                                    {
                                                        var itemInfo = Ioc.SubscriptionBusiness.GetOrderItemAdditionalInformation(item);

                                                        <div class="charge-name"><span class="bold">Days: </span>@(itemInfo.OrderItemDays) </div>
                                                        <div class="charge-name"><span class="bold">Desired start date: </span>@(item.DesiredStartDate.Value.ToString("dd MMMM yyyy")) </div>
                                                        <div class="charge-name" style="margin-bottom:8px"><span class="bold">@itemInfo.PaymentMode: </span>@((CurrencyHelper.FormatCurrencyWithPenny(itemInfo.SelectedAmount, Model.Cart.Order.Club.Currency))) </div>

                                                    }
                                                    @foreach (var charge in item.OrderChargeDiscounts.Where(cd => !cd.IsDeleted && (int)cd.Category > 0 && cd.Category != ChargeDiscountCategory.EntryFee))
                                                    {
                                                        var convienenceFeeClass = charge.Category == ChargeDiscountCategory.Convenience ? "convienence-fee" : string.Empty;

                                                        var chargeAmount = item.ProgramTypeCategory != ProgramTypeCategory.Subscription && item.ProgramTypeCategory != ProgramTypeCategory.BeforeAfterCare ? charge.Amount : Ioc.SubscriptionBusiness.CalculateChargeForAppliedItems(item, charge);

                                                        if (!string.IsNullOrEmpty(charge.Message))
                                                        {

                                                            if (!Model.ShowCombinedPriceOnlyForClub)
                                                            {
                                                                <div class="charge-name @convienenceFeeClass"> @charge.Name @(": " + (CurrencyHelper.FormatCurrencyWithPenny(chargeAmount, Model.Cart.Order.Club.Currency))) <i class="icon-info" style="color:#0aafaf" title="@charge.Message"></i> </div>
                                                            }
                                                            else
                                                            {
                                                                if (Model.ShowCombinedPriceOnlyForClub && item.ProgramTypeCategory == ProgramTypeCategory.Class)
                                                                {
                                                                    if (charge.Category != ChargeDiscountCategory.PartnerSurcharge && charge.Category != ChargeDiscountCategory.Surcharge)
                                                                    {

                                                                        <div class="charge-name @convienenceFeeClass"> @charge.Name @(": " + (CurrencyHelper.FormatCurrencyWithPenny(chargeAmount, Model.Cart.Order.Club.Currency))) <i class="icon-info" style="color:#0aafaf" title="@charge.Message"></i> </div>
                                                                    }
                                                                }
                                                                else
                                                                {
                                                                    <div class="charge-name @convienenceFeeClass"> @charge.Name @(": " + (CurrencyHelper.FormatCurrencyWithPenny(chargeAmount, Model.Cart.Order.Club.Currency))) <i class="icon-info" style="color:#0aafaf" title="@charge.Message"></i> </div>

                                                                }

                                                            }

                                                        }
                                                        else
                                                        {

                                                            if (!Model.ShowCombinedPriceOnlyForClub)
                                                            {
                                                                <div class="charge-name @convienenceFeeClass"> @charge.Name @(": " + (CurrencyHelper.FormatCurrencyWithPenny(chargeAmount, Model.Cart.Order.Club.Currency))) </div>
                                                            }
                                                            else
                                                            {
                                                                if (Model.ShowCombinedPriceOnlyForClub && item.ProgramTypeCategory == ProgramTypeCategory.Class)
                                                                {
                                                                    if (charge.Category != ChargeDiscountCategory.PartnerSurcharge && charge.Category != ChargeDiscountCategory.Surcharge)
                                                                    {

                                                                        <div class="charge-name @convienenceFeeClass"> @charge.Name @(": " + (CurrencyHelper.FormatCurrencyWithPenny(chargeAmount, Model.Cart.Order.Club.Currency))) </div>
                                                                    }
                                                                }
                                                                else
                                                                {
                                                                    <div class="charge-name @convienenceFeeClass"> @charge.Name @(": " + (CurrencyHelper.FormatCurrencyWithPenny(chargeAmount, Model.Cart.Order.Club.Currency))) </div>
                                                                }
                                                            }

                                                        }
                                                    }
                                                </div>
                                                <div class="clearfix"></div>
                                                <div class="discount">
                                                    @foreach (var discount in item.OrderChargeDiscounts.Where(cd => !cd.IsDeleted && (int)cd.Category < 0))
                                                    {
                                                        decimal discountAmount = 0;
                                                        if (item.ProgramTypeCategory == ProgramTypeCategory.Subscription || item.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare)
                                                        {
                                                            if (discount.DiscountId != null)
                                                            {
                                                                discountAmount = item.PaymentPlanType == PaymentPlanType.FullPaid ? Ioc.SubscriptionBusiness.CalculateDiscountForAppliedItems(item, discount) : Ioc.SubscriptionBusiness.CalculateDiscountForAppliedItems(item, discount);
                                                            }
                                                            else
                                                            {
                                                                discountAmount = item.PaymentPlanType == PaymentPlanType.FullPaid ? Ioc.SubscriptionBusiness.CalculateDiscountForAppliedItems(item, discount) : Ioc.SubscriptionBusiness.CalculateDiscountForAppliedItems(item, discount);

                                                                if (item.Mode != OrderItemMode.DropIn && item.Mode != OrderItemMode.PunchCard && item.PaymentPlanType != PaymentPlanType.FullPaid)
                                                                {
                                                                    discountAmount = Ioc.SubscriptionBusiness.CalculateDiscountForShowInView(item, discount, discountAmount);
                                                                }

                                                            }
                                                        }
                                                        else
                                                        {
                                                            discountAmount = discount.Amount;
                                                        }

                                                        <div>
                                                            @discount.Name @(": " + (CurrencyHelper.FormatCurrencyWithPenny(discountAmount, Model.Cart.Order.Club.Currency)))
                                                        </div>
                                                    }
                                                </div>
                                                <div class="clearfix"></div>
                                                @if (item.IsProgramFull)
                                                {
                                                    <div class="program-capacity-full">
                                                        @if (Model.OrderMode == OrderMode.Online)
                                                        {
                                                            <div>
                                                                This program is now full, please delete it from your cart. You can select an alternate program or submit the payment to complete your registration for the remaining programs.
                                                            </div>
                                                        }
                                                        else
                                                        {
                                                            <div>
                                                                This program is now full, you can select an alternate program or continue to complete your registration. You will overbook if you do not delete the full program.
                                                            </div>
                                                        }
                                                        <div class="clearfix"></div>
                                                    </div>
                                                }
                                                else
                                                {
                                                    foreach (var message in item.ValidationMessages)
                                                    {
                                                        <div class="program-capacity-full">
                                                            <div>
                                                                @message
                                                            </div>
                                                            <div class="clearfix"></div>
                                                        </div>
                                                    }
                                                }
                                            
                                                                                        </div>
                                            <div class="tuition-price">
                                                <span id="tuition-price-@item.Id">
                                                    @{
                                                        var totalAmount = item.TotalAmount;
                                                        if (item.ProgramTypeCategory == ProgramTypeCategory.Subscription || item.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare)
                                                        {
                                                            totalAmount = Ioc.SubscriptionBusiness.CalculateSubscriptionPayableAmount(item);
                                                        }
                                                    }

                                                    @if (!Model.HideAllProgramsPrice)
                                                    {
                                                        if (Model.HiddenPricePrograms != null)
                                                        {
                                                            if (!Model.HiddenPricePrograms.Any(p => p == item.ProgramSchedule.Program.Id))
                                                            {
                                                                @CurrencyHelper.FormatCurrencyWithPenny(totalAmount, Model.Cart.Order.Club.Currency)
                                                            }

                                                        }
                                                        else
                                                        { @CurrencyHelper.FormatCurrencyWithPenny(totalAmount, Model.Cart.Order.Club.Currency)}
                                                }
                                                </span>
                                                <div class="clearfix"></div>
                                            </div>
                                        </div>
                                    }
                                    else
                                    {
                                        <div>
                                            <div class="tuition-box">
                                                <span class="tuition-name">
                                                    @(CurrencyHelper.FormatCurrencyWithPenny(item.OrderChargeDiscounts.First().Amount, Model.Cart.Order.Club.Currency) + " ")
                                                </span>
                                                <div class="clearfix"></div>
                                            </div>
                                        </div>
                                    }
                                }
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--end-schedule-->
        <div class="clearfix"></div>
        <!--end-pack-->
    }
</div>

@if (Model.Cart.Order.OrderInstallments != null && Model.Cart.Order.OrderInstallments.Count > 0)
{
    var orderInstallments = Ioc.InstallmentBusiness.TotalInstallments(Model.Cart.Order);
    var totalAmountInstallment = 0m;
    foreach (var item in orderInstallments)
    {
        totalAmountInstallment += Math.Round(item.Amount, 2) ;
    }

    <div id="paymentPlan" class="panel panel-warning">
        <div class="panel-heading">
            <h3 class="panel-title">Installment information<a class="anchorjs-link" href="#paymentPlan"><span class="anchorjs-icon"></span></a></h3>
        </div>
        <div class="panel-body">
            <div><span class="bold" style="font-size: 15px;">Amount due now:</span><span id="payableAmount"> @CurrencyHelper.FormatCurrencyWithPenny(Model.Cart.PayableAmount, Model.Cart.Currency)</span></div>
            <div><span class="bold" style="font-size: 15px;">Future installments amount:</span><span> @CurrencyHelper.FormatCurrencyWithPenny(totalAmountInstallment, Model.Cart.Currency)</span></div>
            <div><span class="bold" style="font-size: 15px;">Total price:</span><span id="orderAmount"> @CurrencyHelper.FormatCurrencyWithPenny(Model.Cart.Order.CalculateOrderAmount, Model.Cart.Currency)</span></div>

            @if (!Model.Cart.Order.RegularOrderItems.Any(s => s.PaymentPlanType == PaymentPlanType.Installment && s.PaymentPlan != null && s.PaymentPlan.IsUseCustomPrompt))
            {
                <br /><span class="bold" style="font-size: 15px;">Installment due dates: (total: @CurrencyHelper.FormatCurrencyWithPenny(totalAmountInstallment, Model.Cart.Currency))</span>
                <dl class="dl-horizontal">
                    @foreach (var installment in orderInstallments)
                    {
                        <dt>@installment.InstallmentDate.ToString("dd MMMM yyyy"):</dt>
                        <dd>@CurrencyHelper.FormatCurrencyWithPenny(installment.Amount, Model.Cart.Currency)</dd>
                    }
                </dl>
            }

        </div>

    </div>
}
<div class="clearfix"></div>

@if (Model.PreregistrationMode == CartPreregistrationMode.Initiated)
{
    <div class="clearfix"></div>

    <div>
        The cart will automatically update in <span id="defaultCountdown"></span> when the registration opens and you can pay for your items. If the automatic update does not work, you can click
        <a style="color: blue" href="@Url.Action("Index")">here</a>.
    </div>
    <p style="color: red; font-weight: bold">
        Preregistration does NOT reserve a place in the class. You MUST return after registration opens at (@Model.GeneralOpenDate) to finish registering.
    </p>
    <div class="clearfix"></div>
}

@if (Model.LotteryMode == CartLotteryMode.Initiated)
{
    <div class="clearfix"></div>

    <div>
        The lottery period will end on @Model.LotteryCloseDate.Value.ToString(Jumbula.Common.Constants.Constants.DefaultDateFormat) at @Model.LotteryCloseDate.Value.ToString(Jumbula.Common.Constants.Constants.DefaultTimeFormat).
    </div>
    <p style="color: red; font-weight: bold">
        Lottery does NOT reserve a place in the class. You will be notified after @Model.LotteryCloseDate.Value.ToString(Jumbula.Common.Constants.Constants.DefaultDateTimeFormatWithAMPM) if you happen to win the lottery.
    </p>
    <div class="clearfix"></div>
}
